API v1 is being deprecated. Greip will continue to support existing v1 integrations for now, but new endpoints, fields, and documentation updates ship on API v2 only. Switch the docs version to API v2 (recommended) or follow the Migrate from API v1 to v2 guide to upgrade your integration.
{
"data": {
"transaction_data": 25,
"ips": 4,
"profanity_data": 3,
"emails": 1,
"phone_numbers": 1,
"ibans": 10
},
"status": "success"
}
{
"status": "error",
"code": 101,
"type": "invalid_key",
"description": "The API Key is missing or invalid."
}
User Data Deletion
curl --request DELETE \
--url https://greipapi.com/account/users/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "<string>"
}
'import requests
url = "https://greipapi.com/account/users/delete"
payload = { "value": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<string>'})
};
fetch('https://greipapi.com/account/users/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://greipapi.com/account/users/delete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'value' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://greipapi.com/account/users/delete"
payload := strings.NewReader("{\n \"value\": \"<string>\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://greipapi.com/account/users/delete")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"value\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://greipapi.com/account/users/delete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"value\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"transaction_data": 25,
"ips": 4,
"profanity_data": 3,
"emails": 1,
"phone_numbers": 1,
"ibans": 10
},
"status": "success"
}
{
"status": "error",
"code": 101,
"type": "invalid_key",
"description": "The API Key is missing or invalid."
}
Account Management
User Data Deletion
In some cases, such as data protection regulations, businesses that process personal data are required to delete it upon request.
Using this method, you’ll be able to delete all data related to your user in a single request.
API v1 is being deprecated. Greip will continue to support existing v1 integrations for now, but new endpoints, fields, and documentation updates ship on API v2 only. Switch the docs version to API v2 (recommended) or follow the Migrate from API v1 to v2 guide to upgrade your integration.
{
"data": {
"transaction_data": 25,
"ips": 4,
"profanity_data": 3,
"emails": 1,
"phone_numbers": 1,
"ibans": 10
},
"status": "success"
}
{
"status": "error",
"code": 101,
"type": "invalid_key",
"description": "The API Key is missing or invalid."
}
DELETE
/
account
/
users
/
delete
User Data Deletion
curl --request DELETE \
--url https://greipapi.com/account/users/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "<string>"
}
'import requests
url = "https://greipapi.com/account/users/delete"
payload = { "value": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<string>'})
};
fetch('https://greipapi.com/account/users/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://greipapi.com/account/users/delete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'value' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://greipapi.com/account/users/delete"
payload := strings.NewReader("{\n \"value\": \"<string>\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://greipapi.com/account/users/delete")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"value\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://greipapi.com/account/users/delete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"value\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"transaction_data": 25,
"ips": 4,
"profanity_data": 3,
"emails": 1,
"phone_numbers": 1,
"ibans": 10
},
"status": "success"
}
{
"status": "error",
"code": 101,
"type": "invalid_key",
"description": "The API Key is missing or invalid."
}
This action cannot be undone, all deleted data will be deleted immediately
from our system.
User data can be deleted 2 minutes after its creation in our system.
Body Parameters
string
required
The email address, phone number, or user ID (in your system) of the user whose
data you want to delete.
Response properties
object
required
Hide properties
Hide properties
integer
Number of transactions or transaction related data deleted.
integer
Number of IP addresses related data deleted.
integer
Number of user data deleted from the usage of Profanity Detection endpint.
integer
Number of user data deleted from the Email Scoring endpoint.
integer
Number of user data deleted from the Phone Scoring endpoint.
integer
Number of user data deleted from the IBAN Lookup endpoint.
string
required
The response status.Expected values:
success, or error.Was this page helpful?